<?php
require_once(DIR_CLASES.'/class.phpmailer.php');
class clase_correo extends phpmailer {
	/**
	 * Contenedora de todas las clases de la web
	 *
	 * @var juego
	 */
	var $padre;
	/**
	 * Clase para operar con la base de datos MySQL
	 *
	 * @var claseBD
	 */
	var $bd;

	/**
	 * Direccion para poner en los correos
	 *
	 * @var str
	 */
	var $url = SITIO_WEB;
	/**
	 * Texto extra por autor
	 *
	 * @var str
	 */
	var $textoAutor;
	/**
	 * Pie extra por autor
	 *
	 * @var str
	 */
	var $pieAutor;

	//------------- FUNCIONES ------------
	/**
	 * Constructor de la clase de correos
	 *
	 * @param juego $padre
	 * @return clase_correo
	 */
	function clase_correo(&$padre) {
		$this->PluginDir = DIR_CLASES;
		$this->padre = &$padre;
		$this->bd    = &$padre->bd;
		$this->Timeout  = 120;
		$this->CharSet  = "utf-8";
		$this->IsHTML(true);
		if (file_exists(DIR_IDIOMA.'correo.php'))
		 require_once(DIR_IDIOMA.'correo.php');
		//fin -parametros del correo
		register_shutdown_function(array( &$this, "destructor" ));
	}

	/**
	 * Envia un correo rellenandolo con una plantilla y la informacion pasada a los destinarios. Devuelve el resultado del envio.
	 *
	 * @param str $subject
	 * @param str $cuerpo
	 * @param str $destino
	 * @return boolean $r 
	 */
	function enviarCorreo($subject="Tema del correo",$cuerpo="Cuerpo del correo en HTML si quieres <b>:p</b>",$destino){
		$this->Subject = $subject;
		$this->AltBody = TXT_CLIENTE_SIN_HTML;
		$this->AddAddress($destino);
		if (empty($cuerpo)) $cuerpo = $this->construyeCuerpo();
		$this->Body = $cuerpo;
		$r = $this->Send();
		$this->ClearAddresses();
		return $r;		
	}

	
	/**
	 * Rellena las variables de la clase con el HTML del correo a enviar
	 *
	 * @return str : html
	 */
	function construyeCuerpo(){
				$p = new clase_plantilla($this->padre);
				$p->cargar('correo.html');
//				$p->pasarAplantilla(array('url_web'=>$this->url, 'cuerpo'=>$cuerpo));
				return $p->contenido;
				break;		
	}

	/**
	 * Destructor de la clase correo
	 *
	 */
	function destructor(){

	}
}
?>