<?php

require_once(DIR_CLASES.'clase_plantilla.php');

class clase_html {

	/**

	 * clase juego asociada,se va encargando de hacer la precarga de HTML para mostrarlos

	 * filtrados en la pantalla con la informacion necesaria...

	 * @var juego

	 */

	var $padre;

	/**

	 * Clase de la/s base/s de datos con mySQL

	 *

	 * @var clase_bd

	 */

	var $bd;

	/**

	 * Clase plantilla para realizar operaciones

	 *

	 * @var clase_plantilla

	 */

	var $plantilla;

	/**

	 * constructor

	 *

	 * @param juego $_padre

	 * @return clase_html

	 */

	function clase_html(&$_padre){

		$this->padre     = &$_padre;

		$this->bd	     = $this->padre->bd;

		$this->plantilla = new clase_plantilla($this->padre);

	}

	

	/**

	 * Usando la plantilla general imprime el contenido con las opciones

	 *

	 * @param str $contenido

	 * @param str $inicializadores para <Body>

	 */

	function escribirContenido(&$contenido,$inicializadores="",$scripts="",$estilos="",$selectores=""){

		$contenido['inicializadores'] = $inicializadores;

		$contenido['scripts'] = $scripts;

		$contenido['estilos'] = $estilos;

		$contenido['SITIO_WEB'] = SITIO_WEB;

		if (isset($_REQUEST['com']) && $_REQUEST['com']=='login'){

 			if ($this->padre->login->login($_REQUEST['usuario'],$_REQUEST['password'])){

 				$contenido['espacio_login'] = TXT_BIENVENIDO.' '.strtolower(TXT_USUARIO)

 				." ".$_SESSION['usuario'].'<br>';

 			} else {

 				$contenido['espacio_login'] =TXT_ERROR_LOGIN.'<br>';

 			}

 		} 

		if (!isset($_SESSION['idu'])){

			$this->plantilla->cargar('login.html');

			$contenido['espacio_login'] .= $this->plantilla->contenido;

		} else {

			$contenido['espacio_login'] .= TXT_USUARIO.":<br> ".$_SESSION['usuario'].

				'<br><a href="desconectar.php">'.TXT_DESCONECTAR.'</a>';

		}

 		

		$this->plantilla->rellena_HTML('base_web.html',$contenido);		

		$this->plantilla->mostrar();

	}

	

	/**

	 * devuelve el HTML relacionado con las noticias

	 *

	 * @param str(2) $idioma

	 * @param int $tipo

	 * @return str : html

	 */

	function obtenerNoticias($idioma,$tipo){

		$noticias = $this->padre->noticias->listaNoticias($idioma,$tipo);

		$this->plantilla->cargar('news.html');

		$c = $this->plantilla->contenido;

		$html = "";

		for ($i=0; $i<count($noticias); $i++){

			$this->plantilla->contenido = $c;

			$this->plantilla->pasarAplantilla(

			 array(

			 	'imagen_noticia' => $noticias[$i]['imagen'],

			 	'enlace_noticia' => 'noticia.php?idn='.$noticias[$i]['idn'],

			 	'titulo_noticia' => borraHTML($noticias[$i]['titulo_'.$idioma]),

			 	'html_noticia'   => substr($noticias[$i]['HTML_'.$idioma],0,255),

			 	'descargar_pdf'  => TXT_DES_PDF,

			 	'enlace_pdf'	 => 'pdf.php?idn='.$noticias[$i]['idn'],

			 	'mas_informacion'=> TXT_MAS_INFO

			 )

			);

			$html .= $this->plantilla->contenido;

		}

		return $html;

	}

	/**

	 * Obtiene el HTML de la noticia en el idioma

	 *

	 * @param str(2) $idioma

	 * @param int $idn

	 * @return str : html

	 */

	function obtenerNoticia($idioma,$idn){

		$noticia = $this->padre->noticias->leerNoticia($idn,$idioma);

		$this->plantilla->rellena_HTML('noticia.html',

			array(

				'imagen_noticia' => $noticia['imagen'],

				'titulo_noticia' => $noticia['titulo_'.$idioma],

				'html_noticia'   => $noticia['HTML_'.$idioma]

			));

		return $this->plantilla->contenido;

	}	

}

?>