<?php

 class clase_plantilla {

 	/**

 	 * CLASE BASE

 	 *

 	 * @var juego

 	 */

 	var $padre;

 	

 	/**

 	 * BASE DE DATOS

 	 *

 	 * @var clase_bd

 	 */

 	var $bd;

 	

 	/**

 	 * Contenido de la pagina actual

 	 *

 	 * @var str

 	 */

 	var $contenido;

 	

 	/**

 	 * Constructor

 	 *

 	 * @param juego $_padre

 	 * @return clase_plantilla

 	 */

 	function clase_plantilla(&$_padre){

 		$this->padre = &$_padre;

		$this->bd    = &$_padre->bd;

 	}

 	

 	/**

 	 * Carga un fichero de plantilla y lo almacena en $this->contenido y devuelve el resultado de la operacion

 	 *

 	 * @param str $fichero

 	 * @return bool 

 	 */

 	function cargar($fichero){

 		$this->contenido = "";

 		if (!file_exists(DIR_PLANTILLAS.$fichero)) return false;

	 	$this->contenido = file_get_contents(DIR_PLANTILLAS.$fichero);   

	 	return !empty($this->contenido);

 	}

 	

 	/**

 	 * Reemplaza las etiquetas de la plantilla dadas por $var con $contenido en $this->contenido: la plantilla HTML

 	 *

 	 * @param str $var

 	 * @param str $contenido

 	 */

 	function reemplazar($var, $contenido) {

      $this->contenido = str_replace("#$var#", $contenido, $this->contenido);

   	}

   	

   	/**

   	 * Reemplaza el contenido por texto y lo muestra, borra de memoria la plantilla HTML de la clase $this->contenido

   	 *

   	 */

   	function mostrar() {

      eval("?>".$this->contenido."<?");

      unset($this->contenido);

   	}

   	

   	/**

	 * Reemplaza las constantes de la plantilla por los contenidos y devuelve el resultado en HTML

	 *

	 * @param str $fichero

	 * @param array $reemplazos

	 * @return str : html

	 */

	function rellena_HTML($fichero,$reemplazos=array()){

		$this->cargar($fichero);

		$this->pasarAplantilla($reemplazos);

		return $this->contenido;

	}

	

	/**

	 * Usando la clase plantilla pasada reemplaza los valores de la matriz del argumento

	 *

	 * @param array $array

	 * @return bool

	 */

	function pasarAplantilla($array) {

		if (!is_array($array)) return false;

		foreach ($array as $llave => $valor) {

			$this->reemplazar($llave,$valor);

		}

		return true;

	}	

 }

?>